Production:
  stage: Deploy
  extends: .auto-deploy
  needs:
    - Build
  rules:
    - if: '$CI_COMMIT_TAG =~ /.*-dev-.*/'
      when: never
    - if: '$CI_COMMIT_TAG && $CI_KUBERNETES_ACTIVE == "true"'
  before_script:
    - cp -R ./.cicd/chart ./chart
    - export HELM_UPGRADE_VALUES_FILE=".cicd/upgrade-values/auto-deploy-values-prod.yaml"
  script:
    - auto-deploy check_kube_domain
    - auto-deploy download_chart
    - auto-deploy ensure_namespace
    - auto-deploy initialize_tiller
    - auto-deploy create_secret
    - auto-deploy deploy
    - auto-deploy persist_environment_url
  environment:
    name: production
    url: https://$CI_PROJECT_NAME.$KUBE_INGRESS_BASE_DOMAIN
    kubernetes:
      namespace: $CI_PROJECT_PATH_SLUG
  artifacts:
    paths: [environment_url.txt]
